The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]

01.01.2017 12:49  Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2

Разработчики FreeBSD объявили о прекращении выпуска обновлений для выпусков FreeBSD 9.3, 10.1 и 10.2, а также о прекращении поддержки ветки FreeBSD 9.x. Пользователям рекомендуется выполнить обновление до версии FreeBSD 10.3, исправления для которой будут выпускаться до 30 апреля 2018 года, или перейти на ветку FreeBSD 11.

  1. Главная ссылка к новости (https://lists.freebsd.org/pipe...)
Лицензия: CC-BY
Тип: Программы
Ключевые слова: freebsd
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Ajax/Линейный | Раскрыть все сообщения | RSS
 
  • 1.2, Аноним (-), 14:23, 01/01/2017 [ответить] [показать ветку] [···]    [к модератору]
  • +1 +/
    С новым годом - bsd edition :)
     
  • 1.3, iZEN (ok), 19:12, 01/01/2017 [ответить] [показать ветку] [···]    [к модератору]
  • –2 +/
    И LLVM/Clang 3.9.1 прилетел в систему. Но толку от него - у меня он давно вынесен и поставлен портом.
     
  • 1.4, Аноним (-), 21:12, 01/01/2017 [ответить] [показать ветку] [···]    [к модератору]
  • +1 +/
    Ура! Это конец gcc в базовой системе, старому openssl, fmake... Из портов наконец можно будет выкинуть кучу костылей для поддержки этого хлама!
     
     
  • 2.5, Кубер100 (?), 00:42, 02/01/2017 [^] [ответить]    [к модератору]
  • +/
    эммм... а с gcc что не так?
     
     
  • 3.8, MrStell (ok), 14:13, 02/01/2017 [^] [ответить]    [к модератору]
  • +/
    Коротко - лицензия.
    Во FreeBSD долгое время использовали GCC 4.2.1 - последнюю версиюю выпущеную под GPLv2.
    Дальше GCC перешел под GPLv3, где-то возникла несовместимость для использования его в проекте для базовой системы.
     
     
  • 4.14, Аноним (-), 15:46, 03/01/2017 [^] [ответить]    [к модератору]  
  • –1 +/
    > Дальше GCC перешел под GPLv3, где-то возникла несовместимость для использования его в
    > проекте для базовой системы.

    Известно где. В DRMвых проприетарщиках, надеже и оплоте фрибсд.

     
  • 3.11, Аноним (-), 11:06, 03/01/2017 [^] [ответить]    [к модератору]  
  • –1 +/
    С гпл-лицензией слегка труднее ложиться под проприетарщиков.
     
     
  • 4.18, iZEN (ok), 11:45, 04/01/2017 [^] [ответить]    [к модератору]  
  • –2 +/
    Но всё равно ложится - вспомните Oracle с её пучком GPL-продуктов, исходники к которым распространяются по идентификатору авторизованного клиента.
     
     
  • 5.19, Аноним (-), 13:34, 04/01/2017 [^] [ответить]    [к модератору]  
  • +/
    Уточни каких именно. Просто, нужные мне srpms качаются без аутентификации. Ну и регистрация там бесплатна.
     
  • 2.6, iZEN (ok), 01:09, 02/01/2017 [^] [ответить]    [к модератору]  
  • +/
    > Ура! Это конец gcc в базовой системе, старому openssl, fmake... Из портов
    > наконец можно будет выкинуть кучу костылей для поддержки этого хлама!

    Угу. Только в fftw3-3.3.5 не включай опцию OPENMP, а то прилетит gcc6-6.3.0.

     
     
  • 3.10, Аноним (-), 06:21, 03/01/2017 [^] [ответить]    [к модератору]  
  • +/
    потому что фортрана по-прежнему нет в LLVM
     
     
  • 4.16, iZEN (ok), 16:14, 03/01/2017 [^] [ответить]    [к модератору]  
  • –1 +/
    > потому что фортрана по-прежнему нет в LLVM

    Там фортран не нужен.


     
     
  • 5.21, Аноним (-), 13:10, 07/01/2017 [^] [ответить]    [к модератору]  
  • +/
    Вообще-то там нужна только джява. Изя, я правильно тебя понял?
     
  • 3.15, Аноним (-), 15:48, 03/01/2017 [^] [ответить]    [к модератору]  
  • +/
    > Угу. Только в fftw3-3.3.5 не включай опцию OPENMP, а то прилетит gcc6-6.3.0.

    Что, 4 компилятора в системе кажутся перебором? Жабист и из сей питон сделает, однако :)


     
  • 1.7, Аноним (-), 06:11, 02/01/2017 [ответить] [показать ветку] [···]    [к модератору]  
  • –1 +/
    в ПлейСтейшн какой FreeBSD? не 10.2?
     
     
  • 2.9, Аноним (-), 22:34, 02/01/2017 [^] [ответить]    [к модератору]  
  • –4 +/
    такой же как и linux у cisco роутерах.
     
     
  • 3.12, Аноним (-), 11:08, 03/01/2017 [^] [ответить]    [к модератору]  
  • –2 +/
    > такой же как и linux у cisco роутерах.

    Кстати, диск с GPL-Exeptions прилагался.

     
  • 2.13, Аноним (-), 14:38, 03/01/2017 [^] [ответить]     [к модератору]  
  • +3 +/
    Говорят, что 9 0 Хотя то, что Cоньке на безопасность клиентов покласть большой... весь текст скрыт [показать]
     
     
  • 3.20, Аноним (-), 13:36, 04/01/2017 [^] [ответить]    [к модератору]  
  • +/
    > Кстати, не подскажите в ответ, какой именно пингвин с какими кедами используются
    > в краснозведной ОСи? )

    Весь мир - это Северная Корея.

     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2018 by Maxim Chirkov  
    ДобавитьПоддержатьВебмастеруГИД  
    Hosting by Ihor